# Key Dates

## filing\_date

(*string*)

The date the case was filed, in the format `"YYYY-MM-DD"`. This is generally the date of the (first) complaint.

If `filing_date` is empty, we do not know when the case was originally filed or the case was not filed (see [#never\_filed](#never_filed "mention")). (Also check the [Case Status](/api-reference-v2p1/objects/case/case-status.md#case_status).)

## filing\_year

(*number*)

The year the case was filed, in the format `YYYY`. If `filing_date` is not empty, then `filing_year` should equal the year of `filing_date`.

See [#filing\_date](#filing_date "mention") for more information.

## never\_filed

(*boolean*)

If the case was never filed, this field is `True`.

If `never_filed` is `True`, both `filing_date` and `filing_year` should be empty.

## settlement\_judgment\_date

(*string*)

The date of the first judgment or settlement in the case, in the format `"YYYY-MM-DD"`.

If `settlement_judgment_date` is empty, then there may not be a judgment or settlement in the case (yet). (Also check the [Case Status](/api-reference-v2p1/objects/case/case-status.md#case_status).)

## settlement\_judgment\_year

(*number*)

The year of the first judgment or settlement in the case, in the format `YYYY`. If `settlement_judgment_date` is not empty, then `settlement_judgment_year` should equal the year of `settlement_judgment_date`.

See [#settlement\_judgment\_date](#settlement_judgment_date "mention") for more information.

## order\_start\_year

(*number*)

The first year of an injunction or injunctive-like relief, in the format `YYYY`. This applies only if there was an injunction or injunctive-like relief in the case.

## order\_end\_year

(*number*)

The last year of an injunction or injunctive-like relief, in the format `YYYY`. This applies only if there was an injunction or injunctive-like relief in the case.

If an injunction is a permanent injunction, then there will be no `order_end_year` (and [#permanent\_injunction](#permanent_injunction "mention") will be `true`). If the injunction was still in effect at the time the case's metadata was updated, then there `order_end_year` will be empty.

## injunction\_duration

(*string*)

The duration, in months, that an injunction (preliminary or permanent) or temporary restraining order lasted.

If `injunction_duration` is empty, it may be because there was no injunction in the case or because the injunction is ongoing (and has no end date yet).

## permanent\_injunction

(*boolean*)

Whether the injunction or injunctive-like relief was set to last forever (i.e. there is no end date). An injunction is typically a court order requiring a party to do (or stop doing) a specific action.

If `permanent_injunction` is `true`, then [#order\_end\_year](#order_end_year "mention") will both be empty.

## terminating\_date

(*string*)

The last date of any activity in a case, in the format `"YYYY-MM-DD"`. "Any activity" includes things like ongoing injunctions, monitoring, waiting for status reports, and other events that might happen after a judgment has been issued or the parties reach a settlement.

If `terminating_date` is empty, then the case has not ended yet or we do not know when the case ended. (Also check the [Case Status](/api-reference-v2p1/objects/case/case-status.md#case_status).)

If `terminating_date` is not empty, then `case_ongoing` should be either "No" or "No reason to think so." See [Case Details](/api-reference-v2p1/objects/case/case-details.md#case_ongoing) for more information.

## closing\_year

(*number*)

The last year of any activity in a case, in the format `YYYY`. If `terminating_date` is not empty, then `closing_year` should equal the year of `terminating_date`.

See [#terminating\_date](#terminating_date "mention") for more information.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.clearinghouse.net/api-reference-v2p1/objects/case/key-dates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
